Bug 6531 - Clementine open flash drive by default
: Clementine open flash drive by default
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 6516
  Show dependency treegraph
 
Reported: 2016-01-04 23:05 MSK by Vladimir Potapov
Modified: 2016-01-07 15:17 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
sv (1.83 MB, video/webm)
2016-01-04 23:05 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2016-01-04 23:05:44 MSK
Created attachment 4340 [details]
sv

ROSA.FRESH.KDE.R6.13972.b.x86_64
Clementine open flash drive by default (from tray)
See attach video
Comment 1 Vladimir Potapov 2016-01-04 23:06:45 MSK
It's xdg-open bug, the script open any folder in Clementine
Comment 2 Vladimir Potapov 2016-01-04 23:08:55 MSK
The bug only on the last iso, it's not present in updated R6 fresh
Comment 3 Vladimir Potapov 2016-01-04 23:18:39 MSK
(In reply to comment #1)
> It's xdg-open bug, the script open any folder in Clementine
No... it's KDE bug
kde-open /
open root by Clementine...
Comment 4 Denis Silakov 2016-01-04 23:47:03 MSK
Surely, because we have added clementine as a handler for folders not long ago (to add "Open with clementine" item in folders context menu in Dolphin).
Comment 5 Denis Silakov 2016-01-04 23:49:41 MSK
Maybe we can fix this by setting InitialPreference. But this can have another effects in file associations...
Comment 6 Vladimir Potapov 2016-01-05 10:06:13 MSK
Maybe it's bug ISO assemly. I check next iso today
Comment 7 Andrey Bondrov 2016-01-06 11:25:24 MSK
Sometimes it happens in Plasma 5 as well.

Both Dolphin and Clementime have Itinial Preference set to 10.

We need to investigate if we can set Clementine's IP to 9.
Comment 8 Andrey Bondrov 2016-01-06 13:28:09 MSK
Advisory: "Decrease InitialPreference value for ROSA Media Player and Clemenine by one to keep Clementine's InitialPreference lower than Dolphin's"

rosa-media-player:
https://abf.rosalinux.ru/build_lists/2615377
https://abf.rosalinux.ru/build_lists/2615378

clementine:
https://abf.rosalinux.ru/build_lists/2615381
https://abf.rosalinux.ru/build_lists/2615382

clementine non-free:
https://abf.rosalinux.ru/build_lists/2615379
https://abf.rosalinux.ru/build_lists/2615380
Comment 9 Vladimir Potapov 2016-01-07 09:29:20 MSK
rosa-media-player-1.6.11-6
https://abf.rosalinux.ru/build_lists/2615377
https://abf.rosalinux.ru/build_lists/2615378

clementine-1.2.3-9
https://abf.rosalinux.ru/build_lists/2615381
https://abf.rosalinux.ru/build_lists/2615382

clementine-1.2.3-9plf
https://abf.rosalinux.ru/build_lists/2615379
https://abf.rosalinux.ru/build_lists/2615380

**************************** Advisory *****************************
Decrease InitialPreference value for ROSA Media Player and Clemenine by one to keep Clementine's InitialPreference lower than Dolphin's
*******************************************************************
QA Verified